Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.portlet
Class PortletMode

    java.lang.Object
      com.plumtree.remote.portlet.PortletMode

public class PortletMode
extends java.lang.Object

`PortletMode` is an enumerated type that identifies the mode the portal is using to generate the Portlet content. `PortletMode` is a type-safe enumeration, so instances of the class can be compared using identity equality.

Field Summary
`static PortletMode` | `Portlet` `Portlet` mode is used for the normal Portlet view in a portal page.
`static PortletMode` | `Preview` `Preview` mode is used when a user is selecting a Portlet and wants to preview the Portlet content before adding it to a portal page.
`static PortletMode` | `Summary` `Summary` mode is used for devices with small screens to provide a 10-character summary of Portlet content.
`static PortletMode` | `SyndicatedPortlet` `SyndicatedPortlet` mode is used for Portlets that are being run asynchronously.
`static PortletMode` | `SyndicatedPreview` `SyndicatedPreview` mode is used for Portlets that are being previewed asynchronously.
`static PortletMode` | `SyndicatedSummary` `SyndicatedSummary` mode is used for Portlets that are generating a 10-character summary asynchronously.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Portlet

    public static PortletMode Portlet

  `Portlet` mode is used for the normal Portlet view in a portal page.

### Preview

    public static PortletMode Preview

  `Preview` mode is used when a user is selecting a Portlet and wants to preview the Portlet content before adding it to a portal page.

### Summary

    public static PortletMode Summary

  `Summary` mode is used for devices with small screens to provide a 10-character summary of Portlet content.

### SyndicatedPortlet

    public static PortletMode SyndicatedPortlet

  `SyndicatedPortlet` mode is used for Portlets that are being run asynchronously.

### SyndicatedPreview

    public static PortletMode SyndicatedPreview

  `SyndicatedPreview` mode is used for Portlets that are being previewed asynchronously.

### SyndicatedSummary

    public static PortletMode SyndicatedSummary

  `SyndicatedSummary` mode is used for Portlets that are generating a 10-character summary asynchronously.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.